# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest
import datetime

import dlcmapi_client
from dlcmapi_client.models.licens import Licens  # noqa: E501
from dlcmapi_client.rest import ApiException

class TestLicens(unittest.TestCase):
    """Licens unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional):
        """Test Licens
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # model = dlcmapi_client.models.licens.Licens()  # noqa: E501
        if include_optional :
            return Licens(
                links = None, 
                creation = dlcmapi_client.models.change_info.change-info(
                    when = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                    who = '0', ), 
                description = '0', 
                domain_content = True, 
                domain_data = True, 
                domain_software = True, 
                family = '0', 
                is_generic = True, 
                last_update = dlcmapi_client.models.change_info.change-info(
                    when = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                    who = '0', ), 
                maintainer = '0', 
                od_conformance = 'approved', 
                open_license_id = '0', 
                osd_conformance = 'approved', 
                res_id = '0', 
                status = 'active', 
                title = '0', 
                url = '0'
            )
        else :
            return Licens(
        )

    def testLicens(self):
        """Test Licens"""
        inst_req_only = self.make_instance(include_optional=False)
        inst_req_and_optional = self.make_instance(include_optional=True)


if __name__ == '__main__':
    unittest.main()
